Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoMeasurement Class Reference
GoSdk

## Description

Represents the base class for a tool measurement or script output.

Inherits kObject.

Inherited by GoProfileAreaArea, GoProfileAreaCentroidX, GoProfileAreaCentroidZ, GoProfileCircleRadius, GoProfileCircleX, GoProfileCircleZ, GoProfileDimCenterX, GoProfileDimCenterZ, GoProfileDimDistance, GoProfileDimHeight, GoProfileDimWidth, GoProfileGrooveDepth, GoProfileGrooveWidth, GoProfileGrooveX, GoProfileGrooveZ, GoProfileIntersectAngle, GoProfileIntersectX, GoProfileIntersectZ, GoProfileLineMaxError, GoProfileLineMinError, GoProfileLinePercentile, GoProfileLineStdDev, GoProfilePanelFlush, GoProfilePanelGap, GoProfilePositionX, GoProfilePositionZ, GoProfileStripHeight, GoProfileStripWidth, GoProfileStripX, GoProfileStripZ, GoScriptOutput, GoSurfaceBoxGlobalX, GoSurfaceBoxGlobalY, GoSurfaceBoxHeight, GoSurfaceBoxLength, GoSurfaceBoxWidth, GoSurfaceBoxX, GoSurfaceBoxY, GoSurfaceBoxZ, GoSurfaceBoxZAngle, GoSurfaceEllipseMajor, GoSurfaceEllipseMinor, GoSurfaceEllipseRatio, GoSurfaceEllipseZAngle, GoSurfaceHoleRadius, GoSurfaceHoleX, GoSurfaceHoleY, GoSurfaceHoleZ, GoSurfaceOpeningAngle, GoSurfaceOpeningLength, GoSurfaceOpeningWidth, GoSurfaceOpeningX, GoSurfaceOpeningY, GoSurfaceOpeningZ, GoSurfacePlaneXAngle, GoSurfacePlaneYAngle, GoSurfacePlaneZOffset, GoSurfacePositionX, GoSurfacePositionY, GoSurfacePositionZ, GoSurfaceStudBaseX, GoSurfaceStudBaseY, GoSurfaceStudBaseZ, GoSurfaceStudRadius, GoSurfaceStudTipX, GoSurfaceStudTipY, GoSurfaceStudTipZ, GoSurfaceVolumeArea, GoSurfaceVolumeThickness, and GoSurfaceVolumeVolume.

## Public Member Functions
kStatus | GoMeasurement_ClearId (GoMeasurement measurement)
| Clears the assigned ID for the given measurement. More...
k64f | GoMeasurement_DecisionMax (GoMeasurement measurement)
| Gets the maximum decision value for the given measurement. More...
k64f | GoMeasurement_DecisionMin (GoMeasurement measurement)
| Gets the minimum decision value for the given measurement. More...
kStatus | GoMeasurement_Enable (GoMeasurement measurement, kBool enable)
| Enables the given measurement for output. More...
kBool | GoMeasurement_Enabled (GoMeasurement measurement)
| Returns a boolean value representing whether the given measurement is enabled. More...
kStatus | GoMeasurement_EnableHold (GoMeasurement measurement, kBool enable)
| Sets measurement value hold for the given measurement. More...
kStatus | GoMeasurement_EnableSmoothing (GoMeasurement measurement, kBool enable)
| Sets measurement value smoothing for the given measurement. More...
kBool | GoMeasurement_HasId (GoMeasurement measurement)
| Returns whether or not the given measurement has a valid ID assigned to it. More...
kBool | GoMeasurement_HoldEnabled (GoMeasurement measurement)
| Returns a boolean value representing the current state of measurement value hold. More...
k32s | GoMeasurement_Id (GoMeasurement measurement)
| Gets the ID for the given measurement. More...
const kChar * | GoMeasurement_Name (GoMeasurement measurement)
| Gets the name for the given measurement. More...
k64f | GoMeasurement_Offset (GoMeasurement measurement)
| Returns the measurement value offset. More...
k64f | GoMeasurement_Scale (GoMeasurement measurement)
| Returns the current measurement value scaling factor. More...
kStatus | GoMeasurement_SetDecisionMax (GoMeasurement measurement, k64f max)
| Sets the maximum decision value for the given measurement. More...
kStatus | GoMeasurement_SetDecisionMin (GoMeasurement measurement, k64f min)
| Sets the minimum decision value for the given measurement. More...
kStatus | GoMeasurement_SetId (GoMeasurement measurement, k32u id)
| Sets an ID number for the given measurement. More...
kStatus | GoMeasurement_SetName (GoMeasurement measurement, const kChar *name)
| Sets the name for the given measurement. More...
kStatus | GoMeasurement_SetOffset (GoMeasurement measurement, k64f value)
| Sets the measurement value offset for the given measurement. More...
kStatus | GoMeasurement_SetScale (GoMeasurement measurement, k64f value)
| Sets the measurement value scaling for the given measurement. More...
kStatus | GoMeasurement_SetSmoothingWindow (GoMeasurement measurement, k64s value)
| Sets the measurement value smoothing window for the given measurement. More...
kBool | GoMeasurement_SmoothingEnabled (GoMeasurement measurement)
| Returns a boolean value representing the current state of measurement value smoothing. More...
k64s | GoMeasurement_SmoothingWindow (GoMeasurement measurement)
| Returns the current measurement value smoothing window size. More...
kObject | GoMeasurement_SourceTool (GoMeasurement measurement)
| Returns the source tool of the given measurement. More...
GoMeasurementType | GoMeasurement_Type (GoMeasurement measurement)
| Gets the measurement type for the given measurement. More...

## Member Function Documentation

kStatus GoMeasurement_ClearId | ( | GoMeasurement | measurement | ) |

Clears the assigned ID for the given measurement.

Parameters

  measurement | GoMeasurement object.

Returns
  Operation status.

k64f GoMeasurement_DecisionMax | ( | GoMeasurement | measurement | ) |

Gets the maximum decision value for the given measurement.

Parameters

  measurement | GoMeasurement object.

Returns
  The maximum decision value.

k64f GoMeasurement_DecisionMin | ( | GoMeasurement | measurement | ) |

Gets the minimum decision value for the given measurement.

Parameters

  measurement | GoMeasurement object.

Returns
  The minimum decision value.

kStatus GoMeasurement_Enable | ( | GoMeasurement | measurement,
|  | kBool | enable
| ) |  |

Enables the given measurement for output.

Parameters

  measurement | GoMeasurement object.
  enable | Set to kTRUE to enable the measurement, kFALSE to disable it.

Returns
  Operation status.

kBool GoMeasurement_Enabled | ( | GoMeasurement | measurement | ) |

Returns a boolean value representing whether the given measurement is enabled.

Parameters

  measurement | GoMeasurement object.

Returns
  kTRUE if enabled; kFALSE otherwise.

kStatus GoMeasurement_EnableHold | ( | GoMeasurement | measurement,
|  | kBool | enable
| ) |  |

Sets measurement value hold for the given measurement.

Parameters

  measurement | GoMeasurement object.
  enable | kTRUE to enable measurement value hold, kFALSE to disable it.

Returns
  Operation status.

kStatus GoMeasurement_EnableSmoothing | ( | GoMeasurement | measurement,
|  | kBool | enable
| ) |  |

Sets measurement value smoothing for the given measurement.

Parameters

  measurement | GoMeasurement object.
  enable | kTRUE to enable measurement value smoothing, kFALSE to disable it.

Returns
  Operation status.

kBool GoMeasurement_HasId | ( | GoMeasurement | measurement | ) |

Returns whether or not the given measurement has a valid ID assigned to it.

Parameters

  measurement | GoMeasurement object.

Returns
  kTRUE if there is an ID; kFALSE otherwise.

kBool GoMeasurement_HoldEnabled | ( | GoMeasurement | measurement | ) |

Returns a boolean value representing the current state of measurement value hold.

Parameters

  measurement | GoMeasurement object.

Returns
  kTRUE if enabled and kFALSE if disabled.

k32s GoMeasurement_Id | ( | GoMeasurement | measurement | ) |

Gets the ID for the given measurement.

Parameters

  measurement | GoMeasurement object.

Returns
  The ID value if there is one assigned. Otherwise, -1 is returned.

const kChar * GoMeasurement_Name | ( | GoMeasurement | measurement | ) |

Gets the name for the given measurement.

Parameters

  measurement | GoMeasurement object.

Returns
  A character array pointer for the measurement name.

k64f GoMeasurement_Offset | ( | GoMeasurement | measurement | ) |

Returns the measurement value offset.

Parameters

  measurement | GoMeasurement object.

Returns
  Measurement value offset.

k64f GoMeasurement_Scale | ( | GoMeasurement | measurement | ) |

Returns the current measurement value scaling factor.

Parameters

  measurement | GoMeasurement object.

Returns
  The measurement value scaling factor.

kStatus GoMeasurement_SetDecisionMax | ( | GoMeasurement | measurement,
|  | k64f | max
| ) |  |

Sets the maximum decision value for the given measurement.

Parameters

  measurement | GoMeasurement object.
  max | The maximum decision value to set.

Returns
  Operation status.

kStatus GoMeasurement_SetDecisionMin | ( | GoMeasurement | measurement,
|  | k64f | min
| ) |  |

Sets the minimum decision value for the given measurement.

Parameters

  measurement | GoMeasurement object.
  min | The minimum decision value to set.

Returns
  Operation status.

kStatus GoMeasurement_SetId | ( | GoMeasurement | measurement,
|  | k32u | id
| ) |  |

Sets an ID number for the given measurement.

Parameters

  measurement | GoMeasurement object.
  id | The ID value to set for the measurement.

Returns
  Operation status.

kStatus GoMeasurement_SetName | ( | GoMeasurement | measurement,
|  | const kChar * | name
| ) |  |

Sets the name for the given measurement.

Parameters

  measurement | GoMeasurement object.
  name | The name to assign to the measurement.

Returns
  Operation status.

kStatus GoMeasurement_SetOffset | ( | GoMeasurement | measurement,
|  | k64f | value
| ) |  |

Sets the measurement value offset for the given measurement.

Parameters

  measurement | GoMeasurement object.
  value | The measurement offset to set.

Returns
  Operation status.

kStatus GoMeasurement_SetScale | ( | GoMeasurement | measurement,
|  | k64f | value
| ) |  |

Sets the measurement value scaling for the given measurement.

Parameters

  measurement | GoMeasurement object.
  value | The intended measurement value scaling factor.

Returns
  Operation status.

kStatus GoMeasurement_SetSmoothingWindow | ( | GoMeasurement | measurement,
|  | k64s | value
| ) |  |

Sets the measurement value smoothing window for the given measurement.

Parameters

  measurement | GoMeasurement object.
  value | The intended size of the smoothing window.

Returns
  Operation status.

kBool GoMeasurement_SmoothingEnabled | ( | GoMeasurement | measurement | ) |

Returns a boolean value representing the current state of measurement value smoothing.

Parameters

  measurement | GoMeasurement object.

Returns
  kTRUE if enabled and kFALSE if disabled.

k64s GoMeasurement_SmoothingWindow | ( | GoMeasurement | measurement | ) |

Returns the current measurement value smoothing window size.

Parameters

  measurement | GoMeasurement object.

Returns
  Smoothing window size.

kObject GoMeasurement_SourceTool | ( | GoMeasurement | measurement | ) |

Returns the source tool of the given measurement.

Parameters

  measurement | GoMeasurement object.

Returns
  A pointer to the source tool for the measurement.

GoMeasurementType GoMeasurement_Type | ( | GoMeasurement | measurement | ) |

Gets the measurement type for the given measurement.

Parameters

  measurement | GoMeasurement object.

Returns
  The measurement value type enumerator value.

The documentation for this class was generated from the following file:

- Tools/GoMeasurement.h